QXmpp: QXmppMixIq Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppMixIq Class Reference
Stanzas
Inheritance diagram for QXmppMixIq:

## Public Types
enum | Type { None , ClientJoin , ClientLeave , Join , Leave , UpdateSubscription , SetNick = 6 , Create , Destroy }
Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Public Member Functions
| QXmppMixIq (const QXmppMixIq &)
| Default copy-constructor.
| QXmppMixIq (QXmppMixIq &&)
| Default move-constructor.
QXmppMixIq & | operator= (const QXmppMixIq &)
| Default assignment operator.
QXmppMixIq & | operator= (QXmppMixIq &&)
| Default move-assignment operator.
QXmppMixIq::Type | actionType () const
void | setActionType (QXmppMixIq::Type)
QString | jid () const
void | setJid (const QString &)
QString | participantId () const
void | setParticipantId (const QString &)
QString | channelName () const
void | setChannelName (const QString &)
QString | channelId () const
void | setChannelId (const QString &)
QString | channelJid () const
void | setChannelJid (const QString &)
QStringList | nodes () const
void | setNodes (const QStringList &)
QXmppMixConfigItem::Nodes | subscriptions () const
void | setSubscriptions (QXmppMixConfigItem::Nodes)
QString | nick () const
void | setNick (const QString &)
std::optional< QXmppMixInvitation > | invitation () const
void | setInvitation (const std::optional< QXmppMixInvitation > &)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
| ~QXmppStanza () override
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Detailed Description

This class represents an IQ used to do actions on a MIX channel as defined by XEP-0369: Mediated Information eXchange (MIX), XEP-0405: Mediated Information eXchange (MIX): Participant Server Requirements and XEP-0407: Mediated Information eXchange (MIX): Miscellaneous Capabilities.

Since
  QXmpp 1.1

## Member Enumeration Documentation

## ◆ Type

enum QXmppMixIq::Type

Action type of the MIX IQ stanza.

Enumerator
None | Nothing is done.
ClientJoin | The client sends a request to join a MIX channel to the user's server.
ClientLeave | The client sends a request to leave a MIX channel to the user's server.
Join | The user's server forwards a join request from the client to the MIX channel.
Leave | The user's server forwards a leave request from the client to the MIX channel.
UpdateSubscription | The client subscribes to MIX nodes or unsubscribes from MIX nodes. Deprecated This is deprecated since QXmpp 1.7. Use QXmppMixManager instead.
SetNick | The client changes the user's nickname within the MIX channel.
Create | The client creates a MIX channel.
Destroy | The client destroys a MIX channel.

## Member Function Documentation

## ◆ actionType()

QXmppMixIq::Type QXmppMixIq::actionType | ( |  | ) | const

Returns the MIX channel's action type.

Returns
  the action type of the channel

## ◆ channelId()

QString QXmppMixIq::channelId | ( |  | ) | const

Returns the channel's ID (the local part of the channel JID).

It can be empty if a JID was set.

Returns
  the ID of the channel

Since
  QXmpp 1.7

## ◆ channelJid()

QString QXmppMixIq::channelJid | ( |  | ) | const

Returns the channel's JID.

Returns
  the JID of the channel

Since
  QXmpp 1.7

## ◆ channelName()

QString QXmppMixIq::channelName | ( |  | ) | const

Returns the channel's ID (the local part of the channel JID).

It can be empty if a JID was set.

Returns
  the ID of the channel

Deprecated
  This method is deprecated since QXmpp 1.7. Use QXmppMixIq::channelId() instead.

## ◆ invitation()

std::optional< QXmppMixInvitation > QXmppMixIq::invitation | ( |  | ) | const

Returns the invitation to the channel being joined via Type::ClientJoin or Type::Join.

Returns
  the channel invitation

Since
  QXmpp 1.7

## ◆ jid()

QString QXmppMixIq::jid | ( |  | ) | const

Returns the channel JID, in case of a Join/ClientJoin query result, containing the participant ID.

Deprecated
  This method is deprecated since QXmpp 1.7. Use QXmppMixIq::participantId() and QXmppMixIq::channelJid() instead.

## ◆ nick()

QString QXmppMixIq::nick | ( |  | ) | const

Returns the user's nickname in the channel.

Returns
  the nickname of the user

## ◆ nodes()

QStringList QXmppMixIq::nodes | ( |  | ) | const

Returns the nodes being subscribed to.

Returns
  the nodes being subscribed to

Deprecated
  This method is deprecated since QXmpp 1.7. Use QXmppMixIq::subscriptions() instead.

## ◆ participantId()

QString QXmppMixIq::participantId | ( |  | ) | const

Returns the participant ID for a Join/ClientJoin result.

Returns
  the participant ID

Since
  QXmpp 1.7

## ◆ setActionType()

void QXmppMixIq::setActionType | ( | QXmppMixIq::Type | type | ) |

Sets the MIX channel's action type.

Parameters

  type | action type of the channel

## ◆ setChannelId()

void QXmppMixIq::setChannelId | ( | const QString & | channelId | ) |

Sets the channel's ID (the local part of the channel JID) for creating or destroying a channel.

If you create a new channel, the channel ID can be left empty to let the server generate an ID.

Parameters

  channelId | channel ID to be set

Since
  QXmpp 1.7

## ◆ setChannelJid()

void QXmppMixIq::setChannelJid | ( | const QString & | channelJid | ) |

Sets the channel's JID.

Parameters

  channelJid | JID to be set

Since
  QXmpp 1.7

## ◆ setChannelName()

void QXmppMixIq::setChannelName | ( | const QString & | channelName | ) |

Sets the channel's ID (the local part of the channel JID) for creating or destroying a channel.

If you create a new channel, the channel ID can be left empty to let the server generate an ID.

Parameters

  channelName | ID of the channel

Deprecated
  This method is deprecated since QXmpp 1.7. Use QXmppMixIq::setChannelId() instead.

## ◆ setInvitation()

void QXmppMixIq::setInvitation | ( | const std::optional< QXmppMixInvitation > & | invitation | ) |

Sets the invitation to the channel being joined via Type::ClientJoin or Type::Join.

Parameters

  invitation | channel invitation

Since
  QXmpp 1.7

## ◆ setJid()

void QXmppMixIq::setJid | ( | const QString & | jid | ) |

Sets the channel JID, in case of a Join/ClientJoin query result, containing the participant ID.

Parameters

  jid | channel JID including a possible participant ID

Deprecated
  This method is deprecated since QXmpp 1.7. Use QXmppMixIq::setParticipantId() and QXmppMixIq::setChannelJid() instead.

## ◆ setNick()

void QXmppMixIq::setNick | ( | const QString & | nick | ) |

Sets the user's nickname used for the channel.

Parameters

  nick | nick of the user to be set

## ◆ setNodes()

void QXmppMixIq::setNodes | ( | const QStringList & | nodes | ) |

Sets the nodes being subscribed to.

Parameters

  nodes | nodes being subscribed to

Deprecated
  This method is deprecated since QXmpp 1.7. Use QXmppMixIq::setSubscriptions() instead.

## ◆ setParticipantId()

void QXmppMixIq::setParticipantId | ( | const QString & | participantId | ) |

Sets the participant ID for a Join/ClientJoin result.

Parameters

  participantId | ID of the user in the channel

Since
  QXmpp 1.7

## ◆ setSubscriptions()

void QXmppMixIq::setSubscriptions | ( | QXmppMixConfigItem::Nodes | subscriptions | ) |

Sets the nodes to subscribe to.

Parameters

  subscriptions | nodes being subscribed to

Since
  QXmpp 1.7

## ◆ subscriptions()

QXmppMixConfigItem::Nodes QXmppMixIq::subscriptions | ( |  | ) | const

Returns the nodes to subscribe to.

Returns
  the nodes being subscribed to

Since
  QXmpp 1.7

The documentation for this class was generated from the following files:

- QXmppMixIq.h
- QXmppMixIq.cpp